Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 186058 - CVE-2006-1242 Linux zero IP ID vulnerability?
Summary: CVE-2006-1242 Linux zero IP ID vulnerability?
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Thomas Graf
QA Contact: Brian Brock
URL:
Whiteboard: impact=low,source=bugtraq,reported=20...
Depends On:
Blocks: RHEL3U8CanFix
TreeView+ depends on / blocked
 
Reported: 2006-03-21 13:14 UTC by Marcel Holtmann
Modified: 2014-06-18 08:28 UTC (History)
5 users (show)

Fixed In Version: RHSA-2006-0437
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-20 13:58:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0437 normal SHIPPED_LIVE Important: Updated kernel packages for Red Hat Enterprise Linux 3 Update 8 2006-07-20 13:11:00 UTC

Description Marcel Holtmann 2006-03-21 13:14:41 UTC
+++ This bug was initially created as a clone of Bug #186057 +++

Interesting behaviour of some Linux kernels that may be exploited by a remote
attacker to abuse the ID field of IP packets, effectively bypassing the zero IP
ID in DF packets countermeasure implemented since 2.4.8 (IIRC).

http://www.securityfocus.com/archive/1/427622/100/0/threaded

Comment 2 Ernie Petrides 2006-03-28 01:23:56 UTC
A fix for this problem has just been committed to the RHEL3 U8
patch pool this evening (in kernel version 2.4.21-40.5.EL).


Comment 3 Ernie Petrides 2006-04-28 21:49:52 UTC
Adding a couple dozen bugs to CanFix list so I can complete the stupid advisory.

Comment 6 Red Hat Bugzilla 2006-07-20 13:58:53 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0437.html



Note You need to log in before you can comment on or make changes to this bug.